X
Tap here to go to the mobile version of the site.

Support Forum

I am running a windows 7 professional 64 Bit OS. I have installed Firefox 19. What versioin of Java do I down load?

Posted

I need to have Java on my PC so that I can use a browser to connect to remote building automation systems that I design.

My PC runs Windows 7 Professional 64 Bit OS. What version of Java do I need to download. Firefox is telling me I need a Java plugin but none are available?

I need to have Java on my PC so that I can use a browser to connect to remote building automation systems that I design. My PC runs Windows 7 Professional 64 Bit OS. What version of Java do I need to download. Firefox is telling me I need a Java plugin but none are available?

Chosen solution

Note that Firefox needs a 32 bit Java version.

See Java Platform > Java SE 7U17 (JRE Download)

Read this answer in context 1

Additional System Details

Installed Plug-ins

  • The plugin allows you to have a better experience with Microsoft SharePoint
  • Adobe PDF Plug-In For Firefox and Netscape 11.0.02
  • 5.1.20125.0
  • NVIDIA 3D Vision plugin for Mozilla browsers
  • NVIDIA 3D Vision Streaming plugin for Mozilla browsers
  • A plugin to detect whether the Adobe Application Manager is installed on this machine.
  • NPWLPG

Application

  • Firefox 19.0.2
  • User Agent: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:19.0) Gecko/20100101 Firefox/19.0
  • Support URL: http://support.mozilla.org/1/firefox/19.0.2/WINNT/en-US/

Extensions

  • Troubleshooter 1.1a (troubleshooter@mozilla.org)
  • Adobe Acrobat - Create PDF 2.0 (web2pdfextension@web2pdf.adobedotcom) (Inactive)
  • Trend Micro NSC Firefox Extension 6.5.0.1234 ({22C7F6C6-8D67-4534-92B5-529A0EC09405}) (Inactive)

Javascript

  • incrementalGCEnabled: True

Graphics

  • adapterDescription: NVIDIA GeForce GT 620
  • adapterDescription2:
  • adapterDeviceID: 0x1049
  • adapterDeviceID2:
  • adapterDrivers: nvd3dumx,nvwgf2umx,nvwgf2umx nvd3dum,nvwgf2um,nvwgf2um
  • adapterDrivers2:
  • adapterRAM: 1024
  • adapterRAM2:
  • adapterVendorID: 0x10de
  • adapterVendorID2:
  • direct2DEnabled: True
  • directWriteEnabled: True
  • directWriteVersion: 6.2.9200.16492
  • driverDate: 1-18-2013
  • driverDate2:
  • driverVersion: 9.18.13.1106
  • driverVersion2:
  • info: {u'AzureContentBackend': u'direct2d', u'AzureCanvasBackend': u'direct2d', u'AzureFallbackCanvasBackend': u'cairo'}
  • isGPU2Active: False
  • numAcceleratedWindows: 1
  • numTotalWindows: 1
  • webglRenderer: Google Inc. -- ANGLE (NVIDIA GeForce GT 620)
  • windowLayerManagerType: Direct3D 10

Modified Preferences

  • browser.cache.disk.capacity: 358400
  • browser.cache.disk.smart_size.first_run: False
  • browser.cache.disk.smart_size.use_old_max: False
  • browser.cache.disk.smart_size_cached_value: 358400
  • browser.places.smartBookmarksVersion: 4
  • browser.privatebrowsing.autostart: True
  • browser.startup.homepage_override.buildID: 20130307023931
  • browser.startup.homepage_override.mstone: 19.0.2
  • dom.mozApps.used: True
  • extensions.lastAppVersion: 19.0.2
  • gfx.direct3d.prefer_10_1: True
  • network.cookie.prefsMigrated: True
  • places.history.expiration.transient_current_max_pages: 104858
  • plugin.disable_full_page_plugin_for_types: application/pdf
  • privacy.donottrackheader.enabled: True
  • privacy.sanitize.migrateFx3Prefs: True

Misc

  • User JS: No
  • Accessibility: No
jscher2000
  • Top 10 Contributor
8214 solutions 67167 answers

Helpful Reply

Oracle's Java test page is a good starting point. The site should automatically select the best download for your OS. Currently I would expect to see "Update 17".

Note: When running the installer, make sure to uncheck any unwanted free tag-alongs when offered.

Oracle's Java test page is a good starting point. The site should automatically select the best download for your OS. Currently I would expect to see "Update 17". Note: When running the installer, make sure to uncheck any unwanted free tag-alongs when offered.
jscher2000
  • Top 10 Contributor
8214 solutions 67167 answers

Helpful Reply

It would help if I gave the URL: http://www.java.com/en/download/testjava.jsp

It would help if I gave the URL: http://www.java.com/en/download/testjava.jsp
cor-el
  • Top 10 Contributor
  • Moderator
17003 solutions 153544 answers

Chosen Solution

Note that Firefox needs a 32 bit Java version.

See Java Platform > Java SE 7U17 (JRE Download)

Note that Firefox needs a 32 bit Java version. See Java Platform > Java SE 7U17 (JRE Download) *http://www.oracle.com/technetwork/java/javase/downloads/index.html *http://java.com/en/download/manual.jsp